Subject: bug#3607: 23.0.94; odd character in fringe.el

From: "Drew Adams" <[email-masked]>
Date: Thu, 18 Jun 2009 11:54:06 -0700

> Perhaps you know most of this already but here's some information
> anyway. The name is "Pavel Janík" and it displays just fine in my
> system. File fringe.el is UTF-8-encoded.
> 
> When encoded in UTF-8 the character í (U+00CD) consists of two bytes,
> 0xC3 and 0xAD. When some system interpretes those bytes as separete
> ISO-8859-1-encoded characters they are Ã (0xC3) and a soft hyphen
> (0xAD). This is what your system seems to have done:
> 
> > preferred charset: iso-8859-1 (Latin-1 (ISO/IEC 8859-1))
> >        code point: 0xAD
> >   name: SOFT HYPHEN
> 
> So it sounds like some kind of singlebyte-multibyte encoding problem.

I see. Thanks for the info. I'm pretty ignorant about this stuff.

I see this in emacs -Q (on MS Windows), however, so I wonder if it isn't a bug.

And I wonder how you can see it as being UTF-8 encoded - are you using emacs -Q?

I don't see any local-variable thingy that would specify that the file is to be
UTF-8 encoded.